summaryrefslogtreecommitdiff
path: root/erts/etc/win32/wsl_tools/make_local_ini.sh
diff options
context:
space:
mode:
Diffstat (limited to 'erts/etc/win32/wsl_tools/make_local_ini.sh')
-rwxr-xr-xerts/etc/win32/wsl_tools/make_local_ini.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/erts/etc/win32/wsl_tools/make_local_ini.sh b/erts/etc/win32/wsl_tools/make_local_ini.sh
new file mode 100755
index 0000000000..85ec4e40aa
--- /dev/null
+++ b/erts/etc/win32/wsl_tools/make_local_ini.sh
@@ -0,0 +1,40 @@
+#! /bin/bash
+#
+# %CopyrightBegin%
+#
+# Copyright Ericsson AB 2003-2016. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# %CopyrightEnd%
+#
+# Create a local init-file for erlang in the build environment.
+if [ -z "$1" ]; then
+ if [ -z $ERL_TOP ]; then
+ echo "error: $0: No rootdir available"
+ exit 1
+ else
+ RDIR=$ERL_TOP
+ fi
+else
+ RDIR=$1
+fi
+
+DDIR=`w32_path.sh -d $RDIR`
+
+cat > $RDIR/bin/erl.ini <<EOF
+[erlang]
+Bindir=$DDIR\\\\bin\\\\win32
+Progname=erl
+Rootdir=$DDIR
+EOF